## nss-passwords 0.1

=== Makefile ===
OCAMLC = ocamlfind ocamlc -g -package fileutils.str,sqlite3
OCAMLOPT = ocamlfind ocamlopt -g -package fileutils.str,sqlite3
ML_CFLAGS = $(foreach u,$(shell pkg-config --cflags nss),-ccopt $(u))
ML_LFLAGS = $(foreach u,$(shell pkg-config --libs nss),-ccopt $(u))

.PHONY: all clean

all: nss-passwords

clean:
	rm -f *~ *.cm[oxi] *.o nss-passwords

nss-passwords: main.cmo nss_stubs.o main_stubs.o
	$(OCAMLC) $(ML_LFLAGS) -custom -linkpkg -o $@ $^

%.cmx: %.ml
	$(OCAMLOPT) -c $<

%.cmo: %.ml
	$(OCAMLC) -c $<

%.o: %.c
	$(OCAMLC) $(ML_CFLAGS) -c $<

=== debian/changelog ===
nss-passwords (0.1-1ubuntu1) precise; urgency=low

  * New patch fix-ftbfs-ld-as-needed.patch to fix FTBFS (LP: #922346)

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 26 Jan 2012 23:30:16 +0100

nss-passwords (0.1-1) unstable; urgency=low

  * Initial release (Closes: #650371)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Nov 2011 22:58:24 +0100

=== debian/control ===
Source: nss-passwords
Priority: optional
Section: misc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9.6~),
 ocaml-findlib,
 pkg-config,
 libfileutils-ocaml-dev,
 libsqlite3-ocaml-dev,
 libnspr4-dev,
 libnss3-dev,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.2
Homepage: https://github.com/glondu/nss-passwords
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/nss-passwords.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/nss-passwords.git

Package: nss-passwords
Architecture: any
Depends:
 pinentry-curses | pinentry,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: read passwords from a Mozilla keyring
 This program reads passwords from keyrings used by Mozilla products,
 such as Firefox and Thunderbird. It can run entirely in text mode.
 .
 This program works with SQLite-based keyrings (signons.sqlite), used
 in recent versions of Firefox. Text-based keyrings can be read with
 pwdecrypt, from libnss3-tools package.

## nss-passwords 0.1.1

=== Makefile ===
OCAMLC = ocamlfind ocamlc -g -package fileutils.str,sqlite3
OCAMLOPT = ocamlfind ocamlopt -g -package fileutils.str,sqlite3
ML_CFLAGS = $(foreach u,$(shell pkg-config --cflags nss),-ccopt $(u))
ML_LFLAGS = $(foreach u,$(shell pkg-config --libs nss),-cclib $(u))

.PHONY: all clean

all: nss-passwords

clean:
	rm -f *~ *.cm[oxi] *.o nss-passwords

nss-passwords: main.cmo nss_stubs.o main_stubs.o
	$(OCAMLC) -o $@ $^ $(ML_LFLAGS) -custom -linkpkg

%.cmx: %.ml
	$(OCAMLOPT) -c $<

%.cmo: %.ml
	$(OCAMLC) -c $<

%.o: %.c
	$(OCAMLC) $(ML_CFLAGS) -c $<

=== debian/changelog ===
nss-passwords (0.1.1-1) unstable; urgency=low

  * New upstream release
    - fix FTBFS with ld --as-needed (Closes: #657554)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 Feb 2012 04:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nss-passwords
 Priority: optional
 Section: misc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 8),

## nss-passwords 0.2

=== debian/changelog ===
nss-passwords (0.2-2build1) zesty; urgency=medium

  * No-change rebuild against libnspr4

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 24 Feb 2017 11:13:32 +0000

nss-passwords (0.2-2) unstable; urgency=medium

  * Team upload.

  [ Stéphane Glondu ]
  * Fix compilation with OCaml 4.02.2 (Closes: #802865).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Jan 2016 22:54:38 +0100

nss-passwords (0.2-1) unstable; urgency=medium

  * New upstream release
    - add support for JSON-based password store (Firefox 32)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Sep 2014 13:47:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with ocaml

## nss-passwords 0.3

=== Makefile ===
OCAMLC = ocamlfind ocamlc -g -package fileutils.str,sqlite3,atdgen
OCAMLOPT = ocamlfind ocamlopt -g -package fileutils.str,sqlite3,atdgen

ML_CFLAGS = $(foreach u,$(shell pkg-config --cflags nss),-ccopt $(u))
ML_LFLAGS = $(foreach u,$(shell pkg-config --libs nss),-cclib $(u))

.PHONY: all clean

all: nss-passwords

clean:
	rm -f *~ *.cm[oxi] *.o nss-passwords

nss-passwords: json_types_t.cmo json_types_j.cmo main.cmo nss_stubs.o main_stubs.o
	$(OCAMLC) -o $@ $^ $(ML_LFLAGS) -custom -linkpkg

%.cmx: %.ml
	$(OCAMLOPT) -c $<

%.cmo: %.ml
	$(OCAMLC) -c $<

%.cmi: %.mli
	$(OCAMLC) -c $<

%.o: %.c
	$(OCAMLC) $(ML_CFLAGS) -c $<

%_j.ml %_j.mli: %.atd
	atdgen -j -j-std $<

%_t.ml %_t.mli: %.atd
	atdgen -t $<

json_types_t.cmo: json_types_t.cmi
json_types_j.ml: json_types_t.ml
json_types_j.cmo: json_types_j.cmi

=== debian/changelog ===
nss-passwords (0.3-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Mention that JSON keyrings are also supported in description
    (Closes: #969033)
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Jan 2022 10:08:23 +0100

nss-passwords (0.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Switch debian/copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2019 11:17:03 +0200

=== debian/control ===
Source: nss-passwords
Priority: optional
Section: misc
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 ocaml-findlib,
 pkg-config,
 libfileutils-ocaml-dev,
 libsqlite3-ocaml-dev,
 libatdgen-ocaml-dev,
 libnspr4-dev,
 libnss3-dev,
 ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/glondu/nss-passwords
Vcs-Git: https://salsa.debian.org/ocaml-team/nss-passwords.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/nss-passwords

Package: nss-passwords
Architecture: any
Depends:
 pinentry-curses | pinentry,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: read passwords from a Mozilla keyring
 This program reads passwords from keyrings used by Mozilla products,
 such as Firefox and Thunderbird. It can run entirely in text mode.
 .
 This program works with SQLite-based keyrings (signons.sqlite) and
 JSON-based keyrings (logins.json), used in recent versions of
 Firefox. Text-based keyrings can be read with pwdecrypt, from
 libnss3-tools package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --no-parallel

=== debian/watch ===
version=4
https://github.com/glondu/nss-passwords/tags .*\/(\d\S+)\.tar\.gz

## nss-passwords 0.4

=== debian/changelog ===
nss-passwords (0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1052233)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Sep 2023 16:30:05 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libnspr4-dev,
  libnss3-dev,
  ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/glondu/nss-passwords
 Vcs-Git: https://salsa.debian.org/ocaml-team/nss-passwords.git

## nss-passwords 0.5

=== debian/changelog ===
nss-passwords (0.5-1) unstable; urgency=medium

  * New upstream release
    - Ignore errors while decrypting entries (Closes: #1091105)
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 17:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml-findlib,
- pkg-config,
+ dh-ocaml (>= 1.2),
+ ocaml-dune,
+ libdune-ocaml-dev,
+ pkgconf,
  libfileutils-ocaml-dev,
  libsqlite3-ocaml-dev,
  libatdgen-ocaml-dev,
  libnspr4-dev,
  libnss3-dev,
  ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/glondu/nss-passwords
 Vcs-Git: https://salsa.debian.org/ocaml-team/nss-passwords.git

## nss-passwords 0.6

=== debian/changelog ===
nss-passwords (0.6-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jan 2025 14:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  pkgconf,
  libfileutils-ocaml-dev,
  libsqlite3-ocaml-dev,
- libatdgen-ocaml-dev,
+ libppx-yojson-conv-ocaml-dev,
+ libppx-yojson-conv-lib-ocaml-dev,
  libnspr4-dev,
  libnss3-dev,
  ocaml
